Announcement Announcement Module
Collapse
No announcement yet.
Spring MongoDB 1.0.0.M3 with Spring Data JPA??? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring MongoDB 1.0.0.M3 with Spring Data JPA???

    I am trying to use the latest MongoDB release, 1.0.0.M3 along with the Spring Data JPA project, but I am getting error on deployment due to what looks like some project incompatibilities (renamed classes).

    The Spring Data JPA 1.0.0.M2 relies on spring-data-commons-core 1.0.0.M5 release which the MongoDB 1.0.0.M3 is expecting the 1.1.0.M1 release of the data-commons-core project.

    Is there an combination of the two that I can use???

  • #2
    These two projects are developed in parallel and share some code in the spring-data-commons project. The releases aren't coordinated but typically the snapshot builds should be compatible. Try using the new Spring Data JPA 1.0.0.RC1 release which depends on spring-data-commons-core 1.1.0.M2. The latter should be compatible with the latest spring-data-mongo snapshot release since there aren't any significant changes in the spring-data-commons project yet.

    As we move towards RC releases for both we will try to coordinate them.

    Comment

    Working...
    X